Bug 247759 - deskutils/noti: Fails to build: error: unknown type names
Summary: deskutils/noti: Fails to build: error: unknown type names
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Hiroki Tagato
URL:
Keywords: buildisok, needs-qa
Depends on:
Blocks:
 
Reported: 2020-07-04 15:02 UTC by Mikael Urankar
Modified: 2020-07-22 18:52 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (tagattie)
koobs: merge-quarterly?


Attachments
v1 (1.10 KB, patch)
2020-07-04 15:02 UTC, Mikael Urankar
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-07-04 15:02:56 UTC
Created attachment 216195 [details]
v1

# github.com/godbus/dbus                       
In file included from vendor/github.com/godbus/dbus/transport_unixcred_freebsd.go:13:
In file included from /usr/include/sys/ucred.h:39:                                            
/usr/include/sys/_lock.h:38:2: error: unknown type name 'u_int'
        u_int   lo_flags;                                                                     
        ^                               
/usr/include/sys/_lock.h:39:2: error: unknown type name 'u_int'                                                                                                                                      u_int   lo_data;                /* General class specific data. */                                                                                                                           ^                                                                                     
In file included from vendor/github.com/godbus/dbus/transport_unixcred_freebsd.go:13:
In file included from /usr/include/sys/ucred.h:40:
/usr/include/sys/_mutex.h:49:11: error: unknown type name 'uintptr_t'
        volatile uintptr_t      mtx_lock;       /* Owner and flags. */
                 ^
/usr/include/sys/_mutex.h:63:11: error: unknown type name 'uintptr_t'
        volatile uintptr_t      mtx_lock;       /* Owner and flags. */
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-05 05:12:58 UTC
Comment on attachment 216195 [details]
v1

Build fixes are:

Approved by: portmgr (blanket: build fix)

If quarterly is affected:

MFH: <branch> (blanket: build fix)
Comment 2 Automation User 2020-07-20 00:13:33 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/168356791
Comment 3 commit-hook freebsd_committer 2020-07-22 17:25:28 UTC
A commit references this bug:

Author: mikael
Date: Wed Jul 22 17:25:17 UTC 2020
New revision: 542882
URL: https://svnweb.freebsd.org/changeset/ports/542882

Log:
  deskutils/noti: fix build on -head

  PR:		247759
  Approved by:	portmgr (blanket: build fix)
  MFH:		2020Q3 (blanket: build fix)

Changes:
  head/deskutils/noti/files/
  head/deskutils/noti/files/patch-vendor_github.com_godbus_dbus_transport__unixcred__freebsd.go
Comment 4 commit-hook freebsd_committer 2020-07-22 18:47:46 UTC
A commit references this bug:

Author: mikael
Date: Wed Jul 22 18:46:44 UTC 2020
New revision: 542886
URL: https://svnweb.freebsd.org/changeset/ports/542886

Log:
  MFH: r542882

  deskutils/noti: fix build on -head

  PR:		247759
  Approved by:	portmgr (blanket: build fix)
  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/deskutils/noti/files/